Mailinglist Archive: opensuse-buildservice (117 mails)

< Previous Next >
Re: [opensuse-buildservice] Newer compilers for older versions of RHEL (etc.)
  • From: Neal Gompa <ngompa13@xxxxxxxxx>
  • Date: Fri, 29 Jul 2016 11:29:05 -0400
  • Message-id: <CAEg-Je_=CpNAjWb74hSq3H-btZcnfjdXrf1hvY58QTPNCQQJng@mail.gmail.com>
On Fri, Jul 29, 2016 at 11:23 AM, Jan Engelhardt <jengelh@xxxxxxx> wrote:

On Thursday 2016-07-21 01:54, David Adam wrote:

We're looking at adding some C++11 features to the code [...]
of course RHEL/CentOS 5 & 6 have compilers that are just too
old to support these. If we have to, we'll drop these platforms[...]
Does anyone have any ideas for how to get a newer compiler into the build?

I followed simotek's suggestion from SuperUser[1] and branched the gcc47
package into my own project, but I just couldn't convince it to build
properly on RHEL 5/6 due to unresolvable dependencies[2], possibly because
of the different structure of openSUSE's base system.

Ideally we could just pull the packages from
http://people.centos.org/tru/devtools-2/devtools-2.repo but I understand
that might be hard to make work.

They would install the compiler in /opt which means you have to mess around
with specfiles.
(And in any case, you would want the current devtools-4.)

I'm actually looking into a similar thing, myself. And devtoolset-2 is
the last version for RHEL/CentOS 5, as newer devtoolset versions are
EL6/EL7 only.

I would prefer to use newer versions whenever possible, obviously. :)

--
真実はいつも一つ!/ Always, there's only one truth!
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >